Bug 247522 - Network config GUI fails
Network config GUI fails
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-vfs2 (Show other bugs)
5.0
All Linux
low Severity low
: beta
: ---
Assigned To: Tomáš Bžatek
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 14:40 EDT by Scott Abbe
Modified: 2015-03-03 17:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-13 07:09:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Abbe 2007-07-09 14:40:39 EDT
Description of problem:
GUI fails

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:
bugzilla GUI w/ 
Component: system-config-network
Version: 1.3.99
Summary: TBef2d5f7a __init__.py:13:?:ImportError: /usr/lib/libgnomevfs-2.so.0:
undefined symbol: xmlNewTextReaderFilename

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 140, in main
    import gnome
  File "/usr/lib/python2.4/site-packages/gtk-2.0/gnome/__init__.py", line 13, in ?
    from _gnome import *
ImportError: /usr/lib/libgnomevfs-2.so.0: undefined symbol: xmlNewTextReaderFilename

Local variables in innermost frame:
__builtins__: {'IndexError': <class exceptions.IndexError at 0xb7f5a8fc>,
'help': Type help() for interactive help, or help(object) for help about
object., 'vars': <built-in function vars>, 'SyntaxError': <class
exceptions.SyntaxError at 0xb7f5a77c>, 'unicode': <type 'unicode'>,
'UnicodeDecodeError': <class exceptions.UnicodeDecodeError at 0xb7f5acbc>,
'isinstance': <built-in function isinstance>, 'copyright': Copyright (c)
2001-2006 Python Software Foundation.
All Rights Reserved.

Copyright (c) 2000 BeOpen.com.
All Rights Reserved.

Copyright (c) 1995-2001 Corporation for National Research Initiatives.
All Rights Reserved.

Copyright (c) 1991-1995 Stichting Mathematisch Centrum, Amsterdam.
All Rights Reserved., 'NameError': <class exceptions.NameError at 0xb7f5a65c>,
'dict': <type 'dict'>, 'input': <built-in function input>, 'oct': <built-in
function oct>, 'SystemExit': <class exceptions.SystemExit at 0xb7f5a32c>,
'StandardError': <class exceptions.StandardError at 0xb7f5a2cc>, 'repr':
<built-in function repr>, 'sorted': <built-in function sorted>, 'False': False,
'RuntimeWarning': <class exceptions.RuntimeWarning at 0xb7f5afbc>, 'list': <type
'list'>, 'iter': <built-in function iter>, 'reload': <built-in function reload>,
'Warning': <class exceptions.Warning at 0xb7f5ae3c>, 'round': <built-in function
round>, 'dir': <built-in function dir>, 'cmp': <built-in function cmp>, 'set':
<type 'set'>, 'reduce': <built-in function reduce>, 'intern': <built-in function
intern>, 'issubclass': <built-in function issubclass>, 'Ellipsis': Ellipsis,
'EOFError': <class exceptions.EOFError at 0xb7f5a53c>, 'locals': <built-in
function locals>, 'slice': <type 'slice'>, 'FloatingPointError': <class
exceptions.FloatingPointError at 0xb7f5aaac>, 'sum': <built-in function sum>,
'OverflowWarning': <class exceptions.OverflowWarning at 0xb7f5af8c>, 'getattr':
<built-in function getattr>, 'abs': <built-in function abs>, 'exit': 'Use Ctrl-D
(i.e. EOF) to exit.', 'True': True, 'FutureWarning': <class
exceptions.FutureWarning at 0xb7f6f02c>, 'None': None, 'hash': <built-in
function hash>, 'len': <built-in function len>, 'credits':     Thanks to CWI,
CNRI, BeOpen.com, Zope Corporation and a cast of thousands
    for supporting Python development.  See www.python.org for more
information., 'frozenset': <type 'frozenset'>, '__name__': '__builtin__', 'ord':
<built-in function ord>, 'super': <type 'super'>, '_': <bound method
i18n.gettext of <rhpl.translate.i18n instance at 0xb7cdd32c>>, 'TypeError':
<class exceptions.TypeError at 0xb7f5a2fc>, 'license': Type license() to see the
full license text, 'KeyboardInterrupt': <class exceptions.KeyboardInterrupt at
0xb7f5a38c>, 'UserWarning': <class exceptions.UserWarning at 0xb7f5ae6c>,
'filter': <built-in function filter>, 'range': <built-in function range>,
'staticmethod': <type 'staticmethod'>, 'SystemError': <class
exceptions.SystemError at 0xb7f5addc>, 'pow': <built-in function pow>,
'RuntimeError': <class exceptions.RuntimeError at 0xb7f5a56c>, 'float': <type
'float'>, 'StopIteration': <class exceptions.StopIteration at 0xb7f5a29c>,
'globals': <built-in function globals>, 'divmod': <built-in function divmod>,
'enumerate': <type 'enumerate'>, 'apply': <built-in function apply>,
'LookupError': <class exceptions.LookupError at 0xb7f5a8cc>, 'open': <type
'file'>, 'quit': 'Use Ctrl-D (i.e. EOF) to exit.', 'basestring': <type
'basestring'>, 'UnicodeError': <class exceptions.UnicodeError at 0xb7f5ab6c>,
'zip': <built-in function zip>, 'hex': <built-in function hex>, 'long': <type
'long'>, 'ReferenceError': <class exceptions.ReferenceError at 0xb7f5adac>,
'ImportError': <class exceptions.ImportError at 0xb7f5a3ec>, 'chr': <built-in
function chr>, 'xrange': <type 'xrange'>, 'type': <type 'type'>, '__doc__':
"Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the
`nil' object; Ellipsis represents `...' in slices.", 'Exception': <class
exceptions.Exception at 0xb7f5a26c>, 'tuple': <type 'tuple'>,
'UnicodeTranslateError': <class exceptions.UnicodeTranslateError at 0xb7f5ad4c>,
'reversed': <type 'reversed'>, 'UnicodeEncodeError': <class
exceptions.UnicodeEncodeError at 0xb7f5abfc>, 'IOError': <class
exceptions.IOError at 0xb7f5a47c>, 'hasattr': <built-in function hasattr>,
'delattr': <built-in function delattr>, 'setattr': <built-in function setattr>,
'raw_input': <built-in function raw_input>, 'SyntaxWarning': <class
exceptions.SyntaxWarning at 0xb7f5af5c>, 'compile': <built-in function compile>,
'ArithmeticError': <class exceptions.ArithmeticError at 0xb7f5a98c>, 'str':
<type 'str'>, 'property': <type 'property'>, 'MemoryError': <class
exceptions.MemoryError at 0xb7f5ae0c>, 'int': <type 'int'>, '__import__':
<built-in function __import__>, 'KeyError': <class exceptions.KeyError at
0xb7f5a95c>, 'coerce': <built-in function coerce>, 'PendingDeprecationWarning':
<class exceptions.PendingDeprecationWarning at 0xb7f5af2c>, 'file': <type
'file'>, 'EnvironmentError': <class exceptions.EnvironmentError at 0xb7f5a41c>,
'unichr': <built-in function unichr>, 'id': <built-in function id>, 'OSError':
<class exceptions.OSError at 0xb7f5a4dc>, 'DeprecationWarning': <class
exceptions.DeprecationWarning at 0xb7f5aecc>, 'min': <built-in function min>,
'execfile': <built-in function execfile>, 'complex': <type 'complex'>, 'bool':
<type 'bool'>, 'ValueError': <class exceptions.ValueError at 0xb7f5ab0c>,
'NotImplemented': NotImplemented, 'map': <built-in function map>, 'buffer':
<type 'buffer'>, 'max': <built-in function max>, 'object': <type 'object'>,
'TabError': <class exceptions.TabError at 0xb7f5a83c>, 'callable': <built-in
function callable>, 'ZeroDivisionError': <class exceptions.ZeroDivisionError at
0xb7f5aa1c>, 'eval': <built-in function eval>, '__debug__': True,
'IndentationError': <class exceptions.IndentationError at 0xb7f5a80c>,
'AssertionError': <class exceptions.AssertionError at 0xb7f5a89c>,
'classmethod': <type 'classmethod'>, 'UnboundLocalError': <class
exceptions.UnboundLocalError at 0xb7f5a6bc>, 'NotImplementedError': <class
exceptions.NotImplementedError at 0xb7f5a5cc>, 'AttributeError': <class
exceptions.AttributeError at 0xb7f5a74c>, 'OverflowError': <class
exceptions.OverflowError at 0xb7f5a9bc>}
__file__: None
__path__: None
__name__: None
__doc__: None


Expected results:
Network config GUI

Additional info:
Comment 2 Phillip D. Jackson 2008-01-27 17:09:06 EST
Component: system-config-network
Version: 1.4.7
Summary: TB1fe56f53 NCHostsList.py:66:load:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in runit
    window = mainDialog()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
253, in __init__
    self.load()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
279, in load
    self.loadProfiles()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
296, in loadProfiles
    profilelist = getProfileList()
  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 652,
in getProfileList
    __PFList.load()
  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 87,
in load
    self.loadprof(pr, profdir)
  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 140,
in loadprof
    prof.HostsList.load( filename = profdir + '/hosts')
  File "/usr/share/system-config-network/netconfpkg/NCHostsList.py", line 66, in
load
    entry.Hostname = tmp[1]
IndexError: list index out of range

Local variables in innermost frame:
comment:  Do not remove the following line, or various programs
tmp: ['\xef\xbb\xbf']
badlines: []
self: 
lines: ['\xef\xbb\xbf# Do not remove the following line, or various programs\n',
'# that require network functionality will fail.\n', '127.0.0.1   
localhost.localdomain   localhost\n', '192.168.1.100 cic.client1  client1\n',
'192.168.1.101 cic.dbserver dbserver\n', '192.168.1.110 hp2610.cic   hp2610\n',
'192.168.1.102 cic.client2  client2\n', '192.168.1.103 cic.client3  client3\n',
'65.32.5.74    brighthouse1\n', '65.32.5.75    brighthouse2\n']
filename: //etc/sysconfig/networking/profiles//default/hosts
num: 1
error: None
conffile: <closed file '//etc/sysconfig/networking/profiles//default/hosts',
mode 'r' at 0xd63210>
entry: Host.IP=

line: # Do not remove the following line, or various programs
Comment 3 Harald Hoyer 2008-01-28 06:49:01 EST
/etc/sysconfig/networking/profiles//default/hosts seems to contain junk at the
beginning...

'\xef\xbb\xbf# Do not remove the following line, or various programs\n'
Comment 4 Harald Hoyer 2008-01-28 06:49:55 EST
comment #2 is not related to the bug anyway... please open a new bug.
Comment 6 RHEL Product and Program Management 2008-06-02 16:35:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Phil Knirsch 2008-06-13 08:43:56 EDT
This bug needs a review from the component owner before granting Devel ACK.

Thanks,

Read ya, Phil
Comment 8 Phil Knirsch 2008-06-19 11:24:56 EDT
Granting Devel ACK after review of the package maintainer

Thanks,

Read ya, Phil
Comment 10 Harald Hoyer 2008-07-02 10:20:38 EDT
ImportError: /usr/lib/libgnomevfs-2.so.0: undefined symbol: xmlNewTextReaderFilename
Comment 12 Matthias Clasen 2008-07-07 12:41:19 EDT
Setting dev ack after feedback from package owner.
Comment 13 RHEL Product and Program Management 2008-07-21 19:10:41 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 15 RHEL Product and Program Management 2009-03-26 12:47:55 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 20 errata-xmlrpc 2010-01-13 07:09:09 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0032.html

Note You need to log in before you can comment on or make changes to this bug.